---
schema_version: "1"
id: 742ec1f9a63a25d671ee637a34d365dfcce57260ece5ff35ddf9925a48ad545a
title: Error Codes
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/vizql-data-service/docs/vds_error_codes.md
canonical_url: https://help.tableau.com/v0.0/api/vizql-data-service/en-us/docs/vds_error_codes.html
source_site: help.tableau.com
content_type: documentation
content_hash: 88c497da3c922b5e91d4e3e1e9afd0c51a091dc1822e3ce4f46c719b0c224dba
description: Documentation for the VizQL Data Service
---
# Error Codes

  

🕐 _2 min read_

| HTTP Status | Error Code | Condition | Details |
| --- | --- | --- | --- |
| 400 | 400000 | Bad request | The content of the request body is invalid. Check for missing or incomplete JSON. |
| 400 | 400800 | Invalid formula for calculation | The incoming request has an invalid formula in the calculation. |
| 400 | 400802 | Invalid API request | The incoming request isn’t valid per the OpenAPI specification. |
| 400 | 400803 | Validation failed | The incoming request isn’t valid per the validation rules. [Calculations in Tableau](https://help.tableau.com/current/pro/desktop/en-us/functions_operators.htm). |
| 400 | 400804 | Invalid calculation aggregation | The request has an invalid calculation aggregation. |
| 400 | 400805 | Results oversize | The query results are too large. |
| 401 | 401001 | Log-in error | The log-in failed for the given user. |
| 401 | 401002 | Invalid authorization credentials | The provided auth token is formatted incorrectly. |
| 403 | 403157 | Feature disabled | The feature is disabled. |
| 403 | 403800 | API access permission denied | The user doesn’t have API Access granted on the given data source. Set the **API Access** capability for the given data source to **Allowed**. For help, see [Permission Capabilities and Templates](https://help.tableau.com/current/online/en-us/permissions_capabilities.htm). |
| 404 | 404934 | Unknown field | The requested field doesn’t exist. |
| 404 | 404935 | Duplicate field caption | There are two or more fields with the same caption in the published data source. |
| 404 | 404950 | API endpoint not found | The request endpoint doesn’t exist. |
| 408 | 408000 | Request timeout | The request timed out. |
| 408 | 408801 | Request timeout | The request timed out. |
| 409 | 409000 | User already on site | HTTP status conflict. |
| 429 | 429000 | Too many requests | Too many requests in the allotted amount of time. For help, see [Licensing and data transfer](https://help.tableau.com/v0.0/api/vizql-data-service/en-us/docs/vds_limitations.html#licensing-and-data-transfer). |
| 499 | 499000 | Client disconnect | The client disconnected from the service. |
| 500 | 500000 | Internal server error | The request could not be completed. |
| 500 | 500810 | VizQL Data Service empty table response | The underlying data engine returned empty data value response. |
| 500 | 500811 | VizQL Data Service missing table | The underlying data engine returned empty metadata associated with response. |
| 500 | 500812 | Error while processing an error | Internal processing error. |
| 500 | 500813 | Parameter name undefined | There’s an invalid parameter in the data source and VDS can’t find what type parameter it is. |
| 500 | 500814 | Bin name undefined | There’s an invalid bin in the data source and VDS can’t find what the bin type is. |
| 500 | 500815 | Data source model undefined | VDS can’t find information about the data model. |
| 501 | 501000 | Not implemented | Can’t find response from upstream server. |
| 503 | 503800 | VizQL Data Service unavailable | The underlying data engine is unavailable. |
| 503 | 503801 | VizQL Data Service discovery error | The upstream service can’t be found. |
| 503 | 503802 | Tableau service unavailable | The underlying data engine is unavailable. |
| 503 | 503803 | Tableau service discovery error | The upstream service can’t be found. |
| 503 | 503804 | Tableau service session not found | The service session can’t be found. |
| 503 | 503805 | VizQL Data Service unavailable | The underlying data engine is unavailable. |
| 504 | 504000 | Tableau service timeout | The upstream service response timed out. |
| 504 | 504001 | Tableau service timeout | The upstream service response timed out. |

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).